polybori::groebner::BitMask< NBits > Class Template Reference

This class defines a bit mask and related operations. More...

`#include <BitMask.h>`

## Public Types

enum | { nbits = NBits, mask = ((unsigned long)(BitMask<nbits-1>::mask) << 1) | 0x1 }

## Public Member Functions

unsigned long | low (const unsigned long &value) const
unsigned long | high (const unsigned long &value) const
unsigned long | shift (const unsigned long &value) const
unsigned long | back (const unsigned long &value) const

## Detailed Description

### template<unsigned NBits>
class polybori::groebner::BitMask< NBits >

This class defines a bit mask and related operations.

## Member Enumeration Documentation

template<unsigned NBits>

anonymous enum

Enumerator
nbits |
mask |

## Member Function Documentation

template<unsigned NBits>

unsigned long polybori::groebner::BitMask< NBits >::back | ( | const unsigned long & | value | ) | const

inline

template<unsigned NBits>

unsigned long polybori::groebner::BitMask< NBits >::high | ( | const unsigned long & | value | ) | const

inline

template<unsigned NBits>

unsigned long polybori::groebner::BitMask< NBits >::low | ( | const unsigned long & | value | ) | const

inline

template<unsigned NBits>

unsigned long polybori::groebner::BitMask< NBits >::shift | ( | const unsigned long & | value | ) | const

inline

The documentation for this class was generated from the following file:

- BitMask.h